<?
require_once($_SERVER['DOCUMENT_ROOT'].'/bitrix/modules/main/include/prolog_admin_before.php');

IncludeModuleLangFile(__FILE__);

$POST_RIGHT = $APPLICATION->GetGroupRight('main');
if ($POST_RIGHT == 'D')
	$APPLICATION->AuthForm(GetMessage('ACCESS_DENIED'));

function __DeleteDirFilesEx($full_path)
{
	if(strlen($full_path) == 0 || $full_path == '/')
		return false;

	$f = true;
	if (is_file($full_path) || is_link($full_path))
	{
		if(@unlink($full_path))
			return true;
		return false;
	}
	elseif(is_dir($full_path))
	{
		if($handle = opendir($full_path))
		{
			while (($file = readdir($handle)) !== false)
			{
				if ($file == '.' || $file == '..')
					continue;

				if(!__DeleteDirFilesEx($full_path.'/'.$file))
					$f = false;
			}
			closedir($handle);
		}
		if(!@rmdir($full_path))
			return false;
		return $f;
	}
	return false;
}

function ScanLangs($path, $find='', $copy='', $delete=false, $inLang=false)
{
	if ($find=='ru' && $delete)
		$delete = false;

	$handle = opendir($path);
	while (false !== ($file = readdir($handle)))
	{
		if (($file!=='.') && ($file!=='..'))
		{
			if ($inLang && $find==$file)
			{
				if ($copy!='')
					CopyDirFiles($path . '/' . $file, $path . '/' . $copy);
				if ($delete)
					__DeleteDirFilesEx($path . '/' . $file);
			}
			echo $file.'<br/>';
			if (is_dir($path . '/' . $file))
				ScanLangs($path . '/' . $file, $find, $copy, $delete, $file=='lang');
		}
	}
	closedir($handle);
}

if ($go != ''
	&& $POST_RIGHT>='W'
	&& $_SERVER['REQUEST_METHOD']=='POST'
	&& check_bitrix_sessid()
	&& trim($start_path)!=''
	&& trim($src_lang)!=''
	&& trim($action)!=''
	)
{
	if ($action=='copy' && $dst_lang!='')
		$copy = $dst_lang;
	else
		$copy = '';
	ScanLangs($_SERVER['DOCUMENT_ROOT'] . $start_path, $src_lang, $copy, $action=='delete');
	LocalRedirect($APPLICATION->GetCurPageParam('success=y'));
}

$APPLICATION->SetTitle(GetMessage('asd_lang_title'));
require($_SERVER['DOCUMENT_ROOT'].'/bitrix/modules/main/include/prolog_admin_after.php');

$aTabs = array(array('DIV' => 'edit1', 'TAB' => GetMessage('asd_lang_tab')));
$tabControl = new CAdminTabControl('tabControl1', $aTabs);

if ($success != '')
{
	$message = new CAdminMessage(array('TYPE' => 'OK', 'MESSAGE' => GetMessage('asd_lang_success')));
	echo $message->Show();
}
?>
<script type="text/javascript">
	function ActionChange(sel)
	{
		document.getElementById('lang_copy_to').disabled = !(sel.value=='copy');
	}
</script>
<form method="post" action="<?=POST_FORM_ACTION_URI?>" enctype="multipart/form-data" name="asd_lang">
	<?=bitrix_sessid_post();?>
	<?
	$tabControl->Begin();
	$tabControl->BeginNextTab();
	?>
	<tr>
		<td width="20%"><?= GetMessage('asd_lang_path')?>:</td>
		<td width="80%">
				<input type="text" name="start_path" value="" size="50" />
				<input type="button" value="..." onclick="BtnClickOpen()" />
				<?
				CAdminFileDialog::ShowScript
				(
					Array(
						"event" => "BtnClickOpen",
						"arResultDest" => array("FORM_NAME" => "asd_lang", "FORM_ELEMENT_NAME" => "start_path"),
						"arPath" => array(),
						"select" => "D",
						"operation" => "O",
						"showUploadTab" => true,
						"showAddToMenuTab" => false,
						"fileFilter" => "*",
						"allowAllFiles" => true,
						"SaveConfig" => true,
					)
				);
				?>
		</td>
	</tr>
	<tr>
		<td><?= GetMessage('asd_lang_work_with')?></td>
		<td><input type="text" name="src_lang" value="" size="2" /></td>
	</tr>
	<tr>
		<td><?= GetMessage('asd_lang_what_do')?></td>
		<td>
			<select name="action" onchange="ActionChange(this);">
				<option></option>
				<option value="delete"><?= GetMessage('asd_lang_delete')?></option>
				<option value="copy"><?= GetMessage('asd_lang_copy')?></option>
			</select>
		</td>
	</tr>
	<tr>
		<td><?= GetMessage('asd_lang_copy_to')?>:</td>
		<td><input type="text" name="dst_lang" value="" size="2" id="lang_copy_to" disabled="disabled" /></td>
	</tr>
	<?
	$tabControl->EndTab();
	$tabControl->Buttons();
	?>
	<input type="submit" class="button" name="go" value="OK" />
	<?
	$tabControl->End();
	?>
	<input type="hidden" name="LANG" value="<?= LANG?>" />
</form>
<?= BeginNote()?>
<?= GetMessage('asd_lang_note', array('#LANG#' => LANG))?>
<?= EndNote()?>
<?
require($_SERVER['DOCUMENT_ROOT'].'/bitrix/modules/main/include/epilog_admin.php');
?>